define([
    "./app/Content",
    "./app/Page",
    "./app/Router",
    "./routes",
    "./session",
    "./store",
    "./store/request",
    "./ui/MainMenu",
    "dojo/_base/array",
    "dojo/parser",
    "./stddeps",
    "dojo/domReady!"
], function(Content, Page, Router, routes, session, store, request, MainMenu, array, parser) {

    parser.parse();

    new MainMenu({},"menu").startup();

    array.forEach(routes,function(route){
        Router.register(route);
    });

    session.restore().then(function(){
        Router.startup();
    });
    
});
